package ca.recrown.islandsurvivalcraft.utilities.pathfinding;

import ca.recrown.islandsurvivalcraft.utilities.datatypes.Point2;

public interface CoordinateTargetValidatable {
    /**
     * Is the current coordinate the objective?
     * @param x the x of the coordinate.
     * @param y the y of the coordinate.
     * @return true if this is the objective coordinate.
     */
    public boolean isCoordinateTarget(Point2 point);
}